/*
 React
 react-dom-server.edge.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),ea=require("react-dom"),fa=Symbol.for("react.element"),ia=Symbol.for("react.portal"),ka=Symbol.for("react.fragment"),la=Symbol.for("react.strict_mode"),ma=Symbol.for("react.profiler"),ra=Symbol.for("react.provider"),sa=Symbol.for("react.consumer"),ta=Symbol.for("react.context"),ua=Symbol.for("react.forward_ref"),Ea=Symbol.for("react.suspense"),Fa=Symbol.for("react.suspense_list"),Ga=Symbol.for("react.memo"),Ha=Symbol.for("react.lazy"),Ia=Symbol.for("react.scope"),
Ja=Symbol.for("react.debug_trace_mode"),Ka=Symbol.for("react.offscreen"),La=Symbol.for("react.legacy_hidden"),Sa=Symbol.iterator,Ta=Array.isArray;
function Ua(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}var l=null,p=0;
function r(a,b){if(0!==b.byteLength)if(2048<b.byteLength)0<p&&(a.enqueue(new Uint8Array(l.buffer,0,p)),l=new Uint8Array(2048),p=0),a.enqueue(b);else{var c=l.length-p;c<b.byteLength&&(0===c?a.enqueue(l):(l.set(b.subarray(0,c),p),a.enqueue(l),b=b.subarray(c)),l=new Uint8Array(2048),p=0);l.set(b,p);p+=b.byteLength}}function v(a,b){r(a,b);return!0}function Va(a){l&&0<p&&(a.enqueue(new Uint8Array(l.buffer,0,p)),l=null,p=0)}var Wa=new TextEncoder;function z(a){return Wa.encode(a)}
function B(a){return Wa.encode(a)}function Xa(a,b){"function"===typeof a.error?a.error(b):a.close()}
var C=Object.assign,F=Object.prototype.hasOwnProperty,Ya=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),Za={},jb={};
function qb(a){if(F.call(jb,a))return!0;if(F.call(Za,a))return!1;if(Ya.test(a))return jb[a]=!0;Za[a]=!0;return!1}
var rb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),sb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),tb=/["'&<>]/;
function J(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=tb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var ub=/([A-Z])/g,vb=/^ms-/,wb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function xb(a){return wb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var yb=ba.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,zb={pending:!1,data:null,method:null,action:null},Ab=ea.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactDOMCurrentDispatcher,Bb=Ab.current;Ab.current={prefetchDNS:Cb,preconnect:Db,preload:Eb,preloadModule:Qb,preinitScript:Rb,preinitStyle:Sb,preinitModuleScript:Tb};
var K=[],Ub=B('"></template>'),Vb=B("<script>"),Wb=B("\x3c/script>"),Xb=B('<script src="'),Yb=B('<script type="module" src="'),Zb=B('" nonce="'),$b=B('" integrity="'),ac=B('" crossorigin="'),bc=B('" async="">\x3c/script>'),cc=/(<\/|<)(s)(cript)/gi;function dc(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}var ec=B('<script type="importmap">'),fc=B("\x3c/script>");
function gc(a,b,c,d,e,f){var g=void 0===b?Vb:B('<script nonce="'+J(b)+'">'),h=a.idPrefix,k=[],n=null,q=a.bootstrapScriptContent,m=a.bootstrapScripts,u=a.bootstrapModules;void 0!==q&&k.push(g,z((""+q).replace(cc,dc)),Wb);void 0!==c&&("string"===typeof c?(n={src:c,chunks:[]},hc(n.chunks,{src:c,async:!0,integrity:void 0,nonce:b})):(n={src:c.src,chunks:[]},hc(n.chunks,{src:c.src,async:!0,integrity:c.integrity,nonce:b})));c=[];void 0!==d&&(c.push(ec),c.push(z((""+JSON.stringify(d)).replace(cc,dc))),c.push(fc));
d=e?{preconnects:"",fontPreloads:"",highImagePreloads:"",remainingCapacity:"number"===typeof f?f:2E3}:null;e={placeholderPrefix:B(h+"P:"),segmentPrefix:B(h+"S:"),boundaryPrefix:B(h+"B:"),startInlineScript:g,htmlChunks:null,headChunks:null,externalRuntimeScript:n,bootstrapChunks:k,importMapChunks:c,onHeaders:e,headers:d,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:new Set,fontPreloads:new Set,
highImagePreloads:new Set,styles:new Map,bootstrapScripts:new Set,scripts:new Set,bulkPreloads:new Set,preloads:{images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map},nonce:b,hoistableState:null,stylesToHoist:!1};if(void 0!==m)for(g=0;g<m.length;g++)c=m[g],d=n=void 0,f={rel:"preload",as:"script",fetchPriority:"low",nonce:b},"string"===typeof c?f.href=h=c:(f.href=h=c.src,f.integrity=d="string"===typeof c.integrity?c.integrity:void 0,f.crossOrigin=n="string"===typeof c||null==c.crossOrigin?
void 0:"use-credentials"===c.crossOrigin?"use-credentials":""),c=a,q=h,c.scriptResources[q]=null,c.moduleScriptResources[q]=null,c=[],M(c,f),e.bootstrapScripts.add(c),k.push(Xb,z(J(h))),b&&k.push(Zb,z(J(b))),"string"===typeof d&&k.push($b,z(J(d))),"string"===typeof n&&k.push(ac,z(J(n))),k.push(bc);if(void 0!==u)for(m=0;m<u.length;m++)f=u[m],n=h=void 0,d={rel:"modulepreload",fetchPriority:"low",nonce:b},"string"===typeof f?d.href=g=f:(d.href=g=f.src,d.integrity=n="string"===typeof f.integrity?f.integrity:
void 0,d.crossOrigin=h="string"===typeof f||null==f.crossOrigin?void 0:"use-credentials"===f.crossOrigin?"use-credentials":""),f=a,c=g,f.scriptResources[c]=null,f.moduleScriptResources[c]=null,f=[],M(f,d),e.bootstrapScripts.add(f),k.push(Yb,z(J(g))),b&&k.push(Zb,z(J(b))),"string"===typeof n&&k.push($b,z(J(n))),"string"===typeof h&&k.push(ac,z(J(h))),k.push(bc);return e}
function ic(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function N(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function jc(a){return N("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function kc(a,b,c){switch(b){case "noscript":return N(2,null,a.tagScope|1);case "select":return N(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return N(3,null,a.tagScope);case "picture":return N(2,null,a.tagScope|2);case "math":return N(4,null,a.tagScope);case "foreignObject":return N(2,null,a.tagScope);case "table":return N(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return N(6,null,a.tagScope);case "colgroup":return N(8,null,a.tagScope);case "tr":return N(7,null,a.tagScope)}return 5<=
a.insertionMode?N(2,null,a.tagScope):0===a.insertionMode?"html"===b?N(1,null,a.tagScope):N(2,null,a.tagScope):1===a.insertionMode?N(2,null,a.tagScope):a}var lc=B("\x3c!-- --\x3e");function mc(a,b,c,d){if(""===b)return d;d&&a.push(lc);a.push(z(J(b)));return!0}var nc=new Map,oc=B(' style="'),pc=B(":"),qc=B(";");
function rc(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(F.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=z(J(d));e=z(J((""+e).trim()))}else f=nc.get(d),void 0===f&&(f=B(J(d.replace(ub,"-$1").toLowerCase().replace(vb,"-ms-"))),nc.set(d,f)),e="number"===typeof e?0===e||rb.has(d)?z(""+
e):z(e+"px"):z(J((""+e).trim()));c?(c=!1,a.push(oc,f,pc,e)):a.push(qc,f,pc,e)}}c||a.push(O)}var P=B(" "),sc=B('="'),O=B('"'),tc=B('=""');function Ic(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(P,z(b),tc)}function Q(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(P,z(b),sc,z(J(c)),O)}var Jc=B(J("javascript:throw new Error('React form unexpectedly submitted.')")),Kc=B('<input type="hidden"');
function Lc(a,b){this.push(Kc);if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");Q(this,"name",b);Q(this,"value",a);this.push(Mc)}function Nc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function Oc(a,b,c,d,e,f,g,h){var k=null;if("function"===typeof d){var n=Nc(b,d);null!==n?(h=n.name,d=n.action||"",e=n.encType,f=n.method,g=n.target,k=n.data):(a.push(P,z("formAction"),sc,Jc,O),g=f=e=d=h=null,Pc(b,c))}null!=h&&S(a,"name",h);null!=d&&S(a,"formAction",d);null!=e&&S(a,"formEncType",e);null!=f&&S(a,"formMethod",f);null!=g&&S(a,"formTarget",g);return k}
function S(a,b,c){switch(b){case "className":Q(a,"class",c);break;case "tabIndex":Q(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":Q(a,b,c);break;case "style":rc(a,c);break;case "src":case "href":case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=xb(""+c);a.push(P,z(b),sc,z(J(c)),O);break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Ic(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=xb(""+c);a.push(P,z("xlink:href"),sc,z(J(c)),O);break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(P,z(b),sc,z(J(c)),O);break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(P,z(b),tc);break;case "capture":case "download":!0===c?a.push(P,z(b),tc):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(P,z(b),sc,z(J(c)),O);break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(P,z(b),sc,z(J(c)),O);break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(P,z(b),sc,z(J(c)),O);break;case "xlinkActuate":Q(a,"xlink:actuate",
c);break;case "xlinkArcrole":Q(a,"xlink:arcrole",c);break;case "xlinkRole":Q(a,"xlink:role",c);break;case "xlinkShow":Q(a,"xlink:show",c);break;case "xlinkTitle":Q(a,"xlink:title",c);break;case "xlinkType":Q(a,"xlink:type",c);break;case "xmlBase":Q(a,"xml:base",c);break;case "xmlLang":Q(a,"xml:lang",c);break;case "xmlSpace":Q(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=sb.get(b)||b,qb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(P,z(b),sc,z(J(c)),O)}}}var T=B(">"),Mc=B("/>");
function Qc(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(z(""+b))}}function Rc(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}var Sc=B(' selected=""'),Tc=B('addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});');
function Pc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,Tc,Wb))}var Uc=B("\x3c!--F!--\x3e"),Vc=B("\x3c!--F--\x3e");function M(a,b){a.push(U("link"));for(var c in b)if(F.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,c,d)}}a.push(Mc);return null}
function Wc(a,b,c){a.push(U(c));for(var d in b)if(F.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,d,e)}}a.push(Mc);return null}
function Xc(a,b){a.push(U("title"));var c=null,d=null,e;for(e in b)if(F.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(z(J(""+b)));Qc(a,d,c);a.push(Yc("title"));return null}
function hc(a,b){a.push(U("script"));var c=null,d=null,e;for(e in b)if(F.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Qc(a,d,c);"string"===typeof c&&a.push(z(J(c)));a.push(Yc("script"));return null}
function Zc(a,b,c){a.push(U(c));var d=c=null,e;for(e in b)if(F.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(T);Qc(a,d,c);return"string"===typeof c?(a.push(z(J(c))),null):c}var $c=B("\n"),ad=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,bd=new Map;function U(a){var b=bd.get(a);if(void 0===b){if(!ad.test(a))throw Error("Invalid tag: "+a);b=B("<"+a);bd.set(a,b)}return b}var cd=B("<!DOCTYPE html>");
function dd(a,b,c,d,e,f,g,h,k){switch(b){case "div":case "span":case "svg":case "path":break;case "a":break;case "g":case "p":case "li":break;case "select":a.push(U("select"));var n=null,q=null,m;for(m in c)if(F.call(c,m)){var u=c[m];if(null!=u)switch(m){case "children":n=u;break;case "dangerouslySetInnerHTML":q=u;break;case "defaultValue":case "value":break;default:S(a,m,u)}}a.push(T);Qc(a,q,n);return n;case "option":var t=g.selectedValue;a.push(U("option"));var y=null,x=null,w=null,R=null,V;for(V in c)if(F.call(c,
V)){var H=c[V];if(null!=H)switch(V){case "children":y=H;break;case "selected":w=H;break;case "dangerouslySetInnerHTML":R=H;break;case "value":x=H;default:S(a,V,H)}}if(null!=t){var W=null!==x?""+x:Rc(y);if(Ta(t))for(var D=0;D<t.length;D++){if(""+t[D]===W){a.push(Sc);break}}else""+t===W&&a.push(Sc)}else w&&a.push(Sc);a.push(T);Qc(a,R,y);return y;case "textarea":a.push(U("textarea"));var A=null,na=null,aa=null,G;for(G in c)if(F.call(c,G)){var E=c[G];if(null!=E)switch(G){case "children":aa=E;break;case "value":A=
E;break;case "defaultValue":na=E;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:S(a,G,E)}}null===A&&null!==na&&(A=na);a.push(T);if(null!=aa){if(null!=A)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Ta(aa)){if(1<aa.length)throw Error("<textarea> can only have at most one child.");A=""+aa[0]}A=""+aa}"string"===typeof A&&"\n"===A[0]&&a.push($c);null!==A&&a.push(z(J(""+A)));return null;case "input":a.push(U("input"));
var va=null,wa=null,Ma=null,xa=null,$a=null,oa=null,uc=null,vc=null,wc=null,ab;for(ab in c)if(F.call(c,ab)){var ca=c[ab];if(null!=ca)switch(ab){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":va=ca;break;case "formAction":wa=ca;break;case "formEncType":Ma=ca;break;case "formMethod":xa=ca;break;case "formTarget":$a=ca;break;case "defaultChecked":wc=ca;break;case "defaultValue":uc=
ca;break;case "checked":vc=ca;break;case "value":oa=ca;break;default:S(a,ab,ca)}}var Qd=Oc(a,d,e,wa,Ma,xa,$a,va);null!==vc?Ic(a,"checked",vc):null!==wc&&Ic(a,"checked",wc);null!==oa?S(a,"value",oa):null!==uc&&S(a,"value",uc);a.push(Mc);null!=Qd&&Qd.forEach(Lc,a);return null;case "button":a.push(U("button"));var bb=null,Rd=null,Sd=null,Td=null,Ud=null,Vd=null,Wd=null,cb;for(cb in c)if(F.call(c,cb)){var ja=c[cb];if(null!=ja)switch(cb){case "children":bb=ja;break;case "dangerouslySetInnerHTML":Rd=ja;
break;case "name":Sd=ja;break;case "formAction":Td=ja;break;case "formEncType":Ud=ja;break;case "formMethod":Vd=ja;break;case "formTarget":Wd=ja;break;default:S(a,cb,ja)}}var Xd=Oc(a,d,e,Td,Ud,Vd,Wd,Sd);a.push(T);null!=Xd&&Xd.forEach(Lc,a);Qc(a,Rd,bb);if("string"===typeof bb){a.push(z(J(bb)));var Yd=null}else Yd=bb;return Yd;case "form":a.push(U("form"));var db=null,Zd=null,ya=null,eb=null,fb=null,gb=null,hb;for(hb in c)if(F.call(c,hb)){var pa=c[hb];if(null!=pa)switch(hb){case "children":db=pa;break;
case "dangerouslySetInnerHTML":Zd=pa;break;case "action":ya=pa;break;case "encType":eb=pa;break;case "method":fb=pa;break;case "target":gb=pa;break;default:S(a,hb,pa)}}var xc=null,yc=null;if("function"===typeof ya){var za=Nc(d,ya);null!==za?(ya=za.action||"",eb=za.encType,fb=za.method,gb=za.target,xc=za.data,yc=za.name):(a.push(P,z("action"),sc,Jc,O),gb=fb=eb=ya=null,Pc(d,e))}null!=ya&&S(a,"action",ya);null!=eb&&S(a,"encType",eb);null!=fb&&S(a,"method",fb);null!=gb&&S(a,"target",gb);a.push(T);null!==
yc&&(a.push(Kc),Q(a,"name",yc),a.push(Mc),null!=xc&&xc.forEach(Lc,a));Qc(a,Zd,db);if("string"===typeof db){a.push(z(J(db)));var $d=null}else $d=db;return $d;case "menuitem":a.push(U("menuitem"));for(var Fb in c)if(F.call(c,Fb)){var ae=c[Fb];if(null!=ae)switch(Fb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:S(a,Fb,ae)}}a.push(T);return null;case "title":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var zc=
Xc(a,c);else k?zc=null:(Xc(e.hoistableChunks,c),zc=void 0);return zc;case "link":var Mf=c.rel,qa=c.href,Gb=c.precedence;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Mf||"string"!==typeof qa||""===qa){M(a,c);var ib=null}else if("stylesheet"===c.rel)if("string"!==typeof Gb||null!=c.disabled||c.onLoad||c.onError)ib=M(a,c);else{var Na=e.styles.get(Gb),Hb=d.styleResources.hasOwnProperty(qa)?d.styleResources[qa]:void 0;if(null!==Hb){d.styleResources[qa]=null;Na||(Na={precedence:z(J(Gb)),
rules:[],hrefs:[],sheets:new Map},e.styles.set(Gb,Na));var Ib={state:0,props:C({},c,{"data-precedence":c.precedence,precedence:null})};if(Hb){2===Hb.length&&ed(Ib.props,Hb);var Ac=e.preloads.stylesheets.get(qa);Ac&&0<Ac.length?Ac.length=0:Ib.state=1}Na.sheets.set(qa,Ib);f&&f.stylesheets.add(Ib)}else if(Na){var be=Na.sheets.get(qa);be&&f&&f.stylesheets.add(be)}h&&a.push(lc);ib=null}else c.onLoad||c.onError?ib=M(a,c):(h&&a.push(lc),ib=k?null:M(e.hoistableChunks,c));return ib;case "script":var Bc=c.async;
if("string"!==typeof c.src||!c.src||!Bc||"function"===typeof Bc||"symbol"===typeof Bc||c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var ce=hc(a,c);else{var Jb=c.src;if("module"===c.type){var Kb=d.moduleScriptResources;var de=e.preloads.moduleScripts}else Kb=d.scriptResources,de=e.preloads.scripts;var Lb=Kb.hasOwnProperty(Jb)?Kb[Jb]:void 0;if(null!==Lb){Kb[Jb]=null;var Cc=c;if(Lb){2===Lb.length&&(Cc=C({},c),ed(Cc,Lb));var ee=de.get(Jb);ee&&(ee.length=0)}var fe=[];e.scripts.add(fe);
hc(fe,Cc)}h&&a.push(lc);ce=null}return ce;case "style":var Mb=c.precedence,Aa=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Mb||"string"!==typeof Aa||""===Aa){a.push(U("style"));var Oa=null,ge=null,kb;for(kb in c)if(F.call(c,kb)){var Nb=c[kb];if(null!=Nb)switch(kb){case "children":Oa=Nb;break;case "dangerouslySetInnerHTML":ge=Nb;break;default:S(a,kb,Nb)}}a.push(T);var lb=Array.isArray(Oa)?2>Oa.length?Oa[0]:null:Oa;"function"!==typeof lb&&"symbol"!==typeof lb&&null!==
lb&&void 0!==lb&&a.push(z(J(""+lb)));Qc(a,ge,Oa);a.push(Yc("style"));var he=null}else{var Ba=e.styles.get(Mb);if(null!==(d.styleResources.hasOwnProperty(Aa)?d.styleResources[Aa]:void 0)){d.styleResources[Aa]=null;Ba?Ba.hrefs.push(z(J(Aa))):(Ba={precedence:z(J(Mb)),rules:[],hrefs:[z(J(Aa))],sheets:new Map},e.styles.set(Mb,Ba));var ie=Ba.rules,Pa=null,je=null,Ob;for(Ob in c)if(F.call(c,Ob)){var Dc=c[Ob];if(null!=Dc)switch(Ob){case "children":Pa=Dc;break;case "dangerouslySetInnerHTML":je=Dc}}var mb=
Array.isArray(Pa)?2>Pa.length?Pa[0]:null:Pa;"function"!==typeof mb&&"symbol"!==typeof mb&&null!==mb&&void 0!==mb&&ie.push(z(J(""+mb)));Qc(ie,je,Pa)}Ba&&f&&f.styles.add(Ba);h&&a.push(lc);he=void 0}return he;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var ke=Wc(a,c,"meta");else h&&a.push(lc),ke=k?null:"string"===typeof c.charSet?Wc(e.charsetChunks,c,"meta"):"viewport"===c.name?Wc(e.viewportChunks,c,"meta"):Wc(e.hoistableChunks,c,"meta");return ke;case "listing":case "pre":a.push(U(b));
var nb=null,ob=null,pb;for(pb in c)if(F.call(c,pb)){var Pb=c[pb];if(null!=Pb)switch(pb){case "children":nb=Pb;break;case "dangerouslySetInnerHTML":ob=Pb;break;default:S(a,pb,Pb)}}a.push(T);if(null!=ob){if(null!=nb)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof ob||!("__html"in ob))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");
var Ca=ob.__html;null!==Ca&&void 0!==Ca&&("string"===typeof Ca&&0<Ca.length&&"\n"===Ca[0]?a.push($c,z(Ca)):a.push(z(""+Ca)))}"string"===typeof nb&&"\n"===nb[0]&&a.push($c);return nb;case "img":var L=c.src,I=c.srcSet;if(!("lazy"===c.loading||!L&&!I||"string"!==typeof L&&null!=L||"string"!==typeof I&&null!=I)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&2)&&("string"!==typeof L||":"!==L[4]||"d"!==L[0]&&"D"!==L[0]||"a"!==L[1]&&"A"!==L[1]||"t"!==L[2]&&"T"!==L[2]||"a"!==L[3]&&"A"!==L[3])&&("string"!==
typeof I||":"!==I[4]||"d"!==I[0]&&"D"!==I[0]||"a"!==I[1]&&"A"!==I[1]||"t"!==I[2]&&"T"!==I[2]||"a"!==I[3]&&"A"!==I[3])){var le="string"===typeof c.sizes?c.sizes:void 0,Qa=I?I+"\n"+(le||""):L,Ec=e.preloads.images,Da=Ec.get(Qa);if(Da){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Ec.delete(Qa),e.highImagePreloads.add(Da)}else if(!d.imageResources.hasOwnProperty(Qa)){d.imageResources[Qa]=K;var Fc=c.crossOrigin;var me="string"===typeof Fc?"use-credentials"===Fc?Fc:"":void 0;var ha=e.headers,
Gc;ha&&0<ha.remainingCapacity&&("high"===c.fetchPriority||500>ha.highImagePreloads.length)&&(Gc=fd(L,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:me,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(ha.remainingCapacity-=Gc.length))?(e.resets.image[Qa]=K,ha.highImagePreloads&&(ha.highImagePreloads+=", "),ha.highImagePreloads+=Gc):(Da=[],M(Da,{rel:"preload",as:"image",href:I?void 0:L,imageSrcSet:I,imageSizes:le,crossOrigin:me,
integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(Da):(e.bulkPreloads.add(Da),Ec.set(Qa,Da)))}}return Wc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Wc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var ne=Zc(e.headChunks,c,"head")}else ne=Zc(a,c,"head");return ne;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[cd];var oe=Zc(e.htmlChunks,c,"html")}else oe=Zc(a,c,"html");return oe;default:if(-1!==b.indexOf("-")){a.push(U(b));var Hc=null,pe=null,Ra;for(Ra in c)if(F.call(c,Ra)){var da=c[Ra];if(null!=da){var qe=Ra;switch(Ra){case "children":Hc=da;break;case "dangerouslySetInnerHTML":pe=da;break;case "style":rc(a,
da);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":qe="class";default:if(qb(Ra)&&"function"!==typeof da&&"symbol"!==typeof da&&!1!==da){if(!0===da)da="";else if("object"===typeof da)continue;a.push(P,z(qe),sc,z(J(da)),O)}}}}a.push(T);Qc(a,pe,Hc);return Hc}}return Zc(a,c,b)}var gd=new Map;function Yc(a){var b=gd.get(a);void 0===b&&(b=B("</"+a+">"),gd.set(a,b));return b}
function hd(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)r(a,b[c]);return c<b.length?(c=b[c],b.length=0,v(a,c)):!0}var id=B('<template id="'),jd=B('"></template>'),kd=B("\x3c!--$--\x3e"),ld=B('\x3c!--$?--\x3e<template id="'),md=B('"></template>'),nd=B("\x3c!--$!--\x3e"),od=B("\x3c!--/$--\x3e"),pd=B("<template"),qd=B('"'),rd=B(' data-dgst="');B(' data-msg="');B(' data-stck="');B(' data-cstck="');var sd=B("></template>");
function td(a,b,c){r(a,ld);if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");r(a,b.boundaryPrefix);r(a,z(c.toString(16)));return v(a,md)}
var ud=B('<div hidden id="'),vd=B('">'),wd=B("</div>"),xd=B('<svg aria-hidden="true" style="display:none" id="'),yd=B('">'),zd=B("</svg>"),Ad=B('<math aria-hidden="true" style="display:none" id="'),Bd=B('">'),Cd=B("</math>"),Dd=B('<table hidden id="'),Ed=B('">'),Fd=B("</table>"),Gd=B('<table hidden><tbody id="'),Hd=B('">'),Id=B("</tbody></table>"),Jd=B('<table hidden><tr id="'),Kd=B('">'),Ld=B("</tr></table>"),Md=B('<table hidden><colgroup id="'),Nd=B('">'),Od=B("</colgroup></table>");
function Pd(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return r(a,ud),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,vd);case 3:return r(a,xd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,yd);case 4:return r(a,Ad),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,Bd);case 5:return r(a,Dd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,Ed);case 6:return r(a,Gd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,Hd);case 7:return r(a,Jd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,Kd);
case 8:return r(a,Md),r(a,b.segmentPrefix),r(a,z(d.toString(16))),v(a,Nd);default:throw Error("Unknown insertion mode. This is a bug in React.");}}function re(a,b){switch(b.insertionMode){case 0:case 1:case 2:return v(a,wd);case 3:return v(a,zd);case 4:return v(a,Cd);case 5:return v(a,Fd);case 6:return v(a,Id);case 7:return v(a,Ld);case 8:return v(a,Od);default:throw Error("Unknown insertion mode. This is a bug in React.");}}
var se=B('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),te=B('$RS("'),ue=B('","'),ve=B('")\x3c/script>'),we=B('<template data-rsi="" data-sid="'),xe=B('" data-pid="'),ye=B('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("'),
ze=B('$RC("'),Ae=B('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Be=B('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Ce=B('$RR("'),De=B('","'),Ee=B('",'),Fe=B('"'),Ge=B(")\x3c/script>"),He=B('<template data-rci="" data-bid="'),Ie=B('<template data-rri="" data-bid="'),Je=B('" data-sid="'),Ke=B('" data-sty="'),Le=B('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("'),Me=B('$RX("'),Ne=B('"'),Oe=B(","),Pe=B(")\x3c/script>"),Qe=B('<template data-rxi="" data-bid="'),Re=
B('" data-dgst="');B('" data-msg="');B('" data-stck="');B('" data-cstck="');var Se=/[<\u2028\u2029]/g;function Te(a){return JSON.stringify(a).replace(Se,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Ue=/[&><\u2028\u2029]/g;
function Ve(a){return JSON.stringify(a).replace(Ue,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}
var We=B('<style media="not all" data-precedence="'),Xe=B('" data-href="'),Ye=B('">'),Ze=B("</style>"),$e=!1,af=!0;function bf(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){r(this,We);r(this,a.precedence);for(r(this,Xe);d<c.length-1;d++)r(this,c[d]),r(this,cf);r(this,c[d]);r(this,Ye);for(d=0;d<b.length;d++)r(this,b[d]);af=v(this,Ze);$e=!0;b.length=0;c.length=0}}function df(a){return 2!==a.state?$e=!0:!1}
function ef(a,b,c){$e=!1;af=!0;b.styles.forEach(bf,a);b.stylesheets.forEach(df);$e&&(c.stylesToHoist=!0);return af}function ff(a){for(var b=0;b<a.length;b++)r(this,a[b]);a.length=0}var gf=[];function hf(a){M(gf,a.props);for(var b=0;b<gf.length;b++)r(this,gf[b]);gf.length=0;a.state=2}var jf=B('<style data-precedence="'),kf=B('" data-href="'),cf=B(" "),lf=B('">'),mf=B("</style>");
function nf(a){var b=0<a.sheets.size;a.sheets.forEach(hf,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){r(this,jf);r(this,a.precedence);a=0;if(d.length){for(r(this,kf);a<d.length-1;a++)r(this,d[a]),r(this,cf);r(this,d[a])}r(this,lf);for(a=0;a<c.length;a++)r(this,c[a]);r(this,mf);c.length=0;d.length=0}}
function of(a){if(0===a.state){a.state=1;var b=a.props;M(gf,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<gf.length;a++)r(this,gf[a]);gf.length=0}}function pf(a){a.sheets.forEach(of,this);a.sheets.clear()}var qf=B("["),rf=B(",["),sf=B(","),tf=B("]");
function uf(a,b){r(a,qf);var c=qf;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)r(a,c),r(a,z(Ve(""+d.props.href))),r(a,tf),c=rf;else{r(a,c);var e=d.props["data-precedence"],f=d.props,g=xb(""+d.props.href);r(a,z(Ve(g)));e=""+e;r(a,sf);r(a,z(Ve(e)));for(var h in f)if(F.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:vf(a,h,e)}r(a,tf);c=rf;d.state=3}});r(a,tf)}
function vf(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=xb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!qb(b))return;b=""+c}r(a,sf);r(a,z(Ve(d)));r(a,
sf);r(a,z(Ve(b)))}
function wf(a,b){r(a,qf);var c=qf;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)r(a,c),r(a,z(J(JSON.stringify(""+d.props.href)))),r(a,tf),c=rf;else{r(a,c);var e=d.props["data-precedence"],f=d.props,g=xb(""+d.props.href);r(a,z(J(JSON.stringify(g))));e=""+e;r(a,sf);r(a,z(J(JSON.stringify(e))));for(var h in f)if(F.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:xf(a,
h,e)}r(a,tf);c=rf;d.state=3}});r(a,tf)}
function xf(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=xb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!qb(b))return;b=""+c}r(a,sf);r(a,z(J(JSON.stringify(d))));
r(a,sf);r(a,z(J(JSON.stringify(b))))}function yf(){return{styles:new Set,stylesheets:new Set}}
function Cb(a){var b=zf();if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(Af,Bf)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],M(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}Cf(b)}}else Bb.prefetchDNS(a)}
function Db(a,b){var c=zf();if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,h;if(h=d&&0<d.remainingCapacity){h="<"+(""+a).replace(Af,Bf)+">; rel=preconnect";if("string"===typeof b){var k=(""+b).replace(Df,Ef);h+='; crossorigin="'+k+'"'}h=(g=h,2<=(d.remainingCapacity-=g.length))}h?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],M(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}Cf(c)}}else Bb.preconnect(a,b)}
function Eb(a,b,c){var d=zf();if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}var n=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(n))return;e.imageResources[n]=K;e=f.headers;var q;e&&0<e.remainingCapacity&&"high"===k&&(q=fd(a,b,c),2<=(e.remainingCapacity-=q.length))?(f.resets.image[n]=K,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=q):(e=[],M(e,C({rel:"preload",href:g?void 0:
a,as:b},c)),"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(n,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];M(g,C({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?K:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
M(g,C({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?K:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=K;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(n=fd(a,b,c),2<=(e.remainingCapacity-=n.length)))f.resets.font[a]=K,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=n;else switch(e=[],
a=C({rel:"preload",href:a,as:b},c),M(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}Cf(d)}}else Bb.preload(a,b,c)}
function Qb(a,b){var c=zf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?K:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=K}M(f,C({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);Cf(c)}}else Bb.preloadModule(a,b)}
function Sb(a,b,c){var d=zf();if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:z(J(b)),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:C({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&ed(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),Cf(d))}}else Bb.preinitStyle(a,
b,c)}function Rb(a,b){var c=zf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=C({src:a,async:!0},b),f&&(2===f.length&&ed(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),hc(a,b),Cf(c))}}else Bb.preinitScript(a,b)}
function Tb(a,b){var c=zf();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=C({src:a,type:"module",async:!0},b),f&&(2===f.length&&ed(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),hc(a,b),Cf(c))}}else Bb.preinitModuleScript(a,b)}function ed(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function fd(a,b,c){a=(""+a).replace(Af,Bf);b=(""+b).replace(Df,Ef);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)F.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(Df,Ef)+'"'));return b}var Af=/[<>\r\n]/g;
function Bf(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var Df=/["';,\r\n]/g;
function Ef(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function Ff(a){this.styles.add(a)}function Gf(a){this.stylesheets.add(a)}
var Hf="function"===typeof AsyncLocalStorage,If=Hf?new AsyncLocalStorage:null,Jf=Symbol.for("react.client.reference");
function Kf(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===Jf?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case ka:return"Fragment";case ia:return"Portal";case ma:return"Profiler";case la:return"StrictMode";case Ea:return"Suspense";case Fa:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case ra:return(a._context.displayName||"Context")+".Provider";case ta:return(a.displayName||"Context")+".Consumer";case ua:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Ga:return b=a.displayName||null,null!==b?b:Kf(a.type)||"Memo";case Ha:b=a._payload;a=a._init;try{return Kf(a(b))}catch(c){}}return null}var Lf={};function Nf(a,b){a=a.contextTypes;if(!a)return Lf;var c={},d;for(d in a)c[d]=b[d];return c}var Of=null;
function Pf(a,b){if(a!==b){a.context._currentValue=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Pf(a,c)}b.context._currentValue=b.value}}function Qf(a){a.context._currentValue=a.parentValue;a=a.parent;null!==a&&Qf(a)}
function Rf(a){var b=a.parent;null!==b&&Rf(b);a.context._currentValue=a.value}function Sf(a,b){a.context._currentValue=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Pf(a,b):Sf(a,b)}
function Tf(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Pf(a,c):Tf(a,c);b.context._currentValue=b.value}function Uf(a){var b=Of;b!==a&&(null===b?Rf(a):null===a?Qf(b):b.depth===a.depth?Pf(b,a):b.depth>a.depth?Sf(b,a):Tf(b,a),Of=a)}
var Vf={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Wf={id:1,overflow:""};function Xf(a,b,c){var d=a.id;a=a.overflow;var e=32-Yf(d)-1;d&=~(1<<e);c+=1;var f=32-Yf(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Yf(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Yf=Math.clz32?Math.clz32:Zf,$f=Math.log,ag=Math.LN2;function Zf(a){a>>>=0;return 0===a?32:31-($f(a)/ag|0)|0}var bg=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function cg(){}function dg(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(cg,cg),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}eg=b;throw bg;}}var eg=null;
function fg(){if(null===eg)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=eg;eg=null;return a}function gg(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var hg="function"===typeof Object.is?Object.is:gg,ig=null,jg=null,kg=null,lg=null,mg=null,X=null,ng=!1,og=!1,pg=0,qg=0,rg=-1,sg=0,tg=null,ug=null,vg=0;
function wg(){if(null===ig)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return ig}
function xg(){if(0<vg)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function yg(){null===X?null===mg?(ng=!1,mg=X=xg()):(ng=!0,X=mg):null===X.next?(ng=!1,X=X.next=xg()):(ng=!0,X=X.next);return X}function zg(){var a=tg;tg=null;return a}function Ag(){lg=kg=jg=ig=null;og=!1;mg=null;vg=0;X=ug=null}function Bg(a,b){return"function"===typeof b?b(a):b}
function Cg(a,b,c){ig=wg();X=yg();if(ng){var d=X.queue;b=d.dispatch;if(null!==ug&&(c=ug.get(d),void 0!==c)){ug.delete(d);d=X.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);X.memoizedState=d;return[d,b]}return[X.memoizedState,b]}a=a===Bg?"function"===typeof b?b():b:void 0!==c?c(b):b;X.memoizedState=a;a=X.queue={last:null,dispatch:null};a=a.dispatch=Dg.bind(null,ig,a);return[X.memoizedState,a]}
function Eg(a,b){ig=wg();X=yg();b=void 0===b?null:b;if(null!==X){var c=X.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!hg(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();X.memoizedState=[a,b];return a}
function Dg(a,b,c){if(25<=vg)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===ig)if(og=!0,a={action:c,next:null},null===ug&&(ug=new Map),c=ug.get(b),void 0===c)ug.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Fg(){throw Error("startTransition cannot be called during server rendering.");}function Gg(){throw Error("Cannot update optimistic state while rendering.");}
function Hg(a,b,c){wg();var d=qg++,e=kg;if("function"===typeof a.$$FORM_ACTION){var f=null,g=lg;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+Ua(JSON.stringify([g,null,d]),0),k===f&&(rg=d,b=e[0]))}var n=a.bind(null,b);a=function(m){n(m)};"function"===typeof n.$$FORM_ACTION&&(a.$$FORM_ACTION=function(m){m=n.$$FORM_ACTION(m);void 0!==c&&(c+="",m.action=c);var u=m.data;u&&(null===f&&(f=void 0!==c?"p"+c:"k"+Ua(JSON.stringify([g,
null,d]),0)),u.append("$ACTION_KEY",f));return m});return[b,a,!1]}var q=a.bind(null,b);return[b,function(m){q(m)},!1]}function Ig(a){var b=sg;sg+=1;null===tg&&(tg=[]);return dg(tg,a,b)}function Jg(){throw Error("Cache cannot be refreshed during server rendering.");}function Kg(){}
var Mg={readContext:function(a){return a._currentValue},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Ig(a);if(a.$$typeof===ta)return a._currentValue}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){wg();return a._currentValue},useMemo:Eg,useReducer:Cg,useRef:function(a){ig=wg();X=yg();var b=X.memoizedState;return null===b?(a={current:a},X.memoizedState=a):b},useState:function(a){return Cg(Bg,a)},useInsertionEffect:Kg,
useLayoutEffect:Kg,useCallback:function(a,b){return Eg(function(){return a},b)},useImperativeHandle:Kg,useEffect:Kg,useDebugValue:Kg,useDeferredValue:function(a){wg();return a},useTransition:function(){wg();return[!1,Fg]},useId:function(){var a=jg.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Yf(a)-1)).toString(32)+b;var c=Lg;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=pg++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Jg},useHostTransitionStatus:function(){wg();return zb},useOptimistic:function(a){wg();return[a,Gg]}};Mg.useFormState=Hg;Mg.useActionState=Hg;
var Lg=null,Ng={getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},Og;function Pg(a){if(void 0===Og)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Og=b&&b[1]||""}return"\n"+Og+a}var Qg=!1;
function Rg(a,b){if(!a||Qg)return"";Qg=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var m=function(){throw Error();};Object.defineProperty(m.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(m,[])}catch(t){var u=t}Reflect.construct(a,[],m)}else{try{m.call()}catch(t){u=t}a.call(m.prototype)}}else{try{throw Error();}catch(t){u=t}(m=a())&&"function"===typeof m.catch&&
m.catch(function(){})}}catch(t){if(t&&u&&"string"===typeof t.stack)return[t.stack,u.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],h=f[1];if(g&&h){var k=g.split("\n"),n=h.split("\n");for(e=d=0;d<k.length&&!k[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<n.length&&!n[e].includes("DetermineComponentFrameRoot");)e++;if(d===k.length||e===n.length)for(d=k.length-1,e=n.length-1;1<=d&&0<=e&&k[d]!==n[e];)e--;for(;1<=d&&0<=e;d--,e--)if(k[d]!==n[e]){if(1!==d||1!==e){do if(d--,e--,0>e||k[d]!==n[e]){var q="\n"+k[d].replace(" at new "," at ");a.displayName&&q.includes("<anonymous>")&&(q=q.replace("<anonymous>",a.displayName));return q}while(1<=d&&0<=e)}break}}}finally{Qg=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Pg(c):""}
var Sg=yb.ReactCurrentDispatcher,Tg=yb.ReactCurrentCache;function Ug(a){console.error(a);return null}function Vg(){}
function Wg(a,b,c,d,e,f,g,h,k,n,q,m){var u=[],t=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:t,pingedTasks:u,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Ug:f,onPostpone:void 0===q?Vg:q,onAllReady:void 0===g?Vg:g,onShellReady:void 0===
h?Vg:h,onShellError:void 0===k?Vg:k,onFatalError:void 0===n?Vg:n,formState:void 0===m?null:m};c=Xg(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Yg(b,null,a,-1,null,c,null,t,null,d,Lf,null,Wf,null,!1);u.push(a);return b}var Zg=null;function zf(){if(Zg)return Zg;if(Hf){var a=If.getStore();if(a)return a}return null}function $g(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,setTimeout(function(){return ah(a)},0))}
function bh(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:yf(),fallbackState:yf(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Yg(a,b,c,d,e,f,g,h,k,n,q,m,u,t,y){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var x={replay:null,node:c,childIndex:d,ping:function(){return $g(a,x)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:h,keyPath:k,formatContext:n,legacyContext:q,context:m,treeContext:u,componentStack:t,thenableState:b,isFallback:y};h.add(x);return x}
function ch(a,b,c,d,e,f,g,h,k,n,q,m,u,t,y){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var x={replay:c,node:d,childIndex:e,ping:function(){return $g(a,x)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:h,keyPath:k,formatContext:n,legacyContext:q,context:m,treeContext:u,componentStack:t,thenableState:b,isFallback:y};h.add(x);return x}
function Xg(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function dh(a,b){return{tag:0,parent:a.componentStack,type:b}}
function eh(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Pg(b.type,null);break;case 1:a+=Rg(b.type,!1);break;case 2:a+=Rg(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function Y(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function fh(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,Xa(a.destination,b)):(a.status=1,a.fatalError=b)}function gh(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;ig={};jg=b;kg=a;lg=c;qg=pg=0;rg=-1;sg=0;tg=g;for(a=d(e,f);og;)og=!1,qg=pg=0,rg=-1,sg=0,vg+=1,X=null,a=d(e,f);Ag();return a}
function hh(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var n=0;n<f;n++)n===g?k.push(Uc):k.push(Vc)}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Xf(c,1,0),ih(a,b,d,-1),b.treeContext=c):h?ih(a,b,d,-1):Z(a,b,d,-1);b.keyPath=f}function jh(a,b){if(a&&a.defaultProps){b=C({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function kh(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){f=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};var g=Nf(d,b.legacyContext);var h=d.contextType;h=new d(e,"object"===typeof h&&null!==h?h._currentValue:g);var k=void 0!==h.state?h.state:null;h.updater=Vf;h.props=e;h.state=k;var n={queue:[],replace:!1};h._reactInternals=n;var q=d.contextType;h.context="object"===typeof q&&null!==q?q._currentValue:g;q=d.getDerivedStateFromProps;
"function"===typeof q&&(q=q(e,k),k=null===q||void 0===q?k:C({},k,q),h.state=k);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(k=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&h.UNSAFE_componentWillMount(),k!==h.state&&Vf.enqueueReplaceState(h,h.state,null),null!==n.queue&&0<n.queue.length){k=
n.queue;var m=n.replace;n.queue=null;n.replace=!1;if(m&&1===k.length)h.state=k[0];else{n=m?k[0]:h.state;q=!0;for(m=m?1:0;m<k.length;m++){var u=k[m];u="function"===typeof u?u.call(h,n,e,g):u;null!=u&&(q?(q=!1,n=C({},n,u)):C(n,u))}h.state=n}}else n.queue=null;e=h.render();g=d.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof h.getChildContext)d=c;else{h=h.getChildContext();for(var t in h)if(!(t in g))throw Error((Kf(d)||"Unknown")+'.getChildContext(): key "'+t+'" is not defined in childContextTypes.');
d=C({},c,h)}b.legacyContext=d;Z(a,b,e,-1);b.legacyContext=c}else d=b.keyPath,b.keyPath=c,Z(a,b,e,-1),b.keyPath=d;b.componentStack=f}else f=Nf(d,b.legacyContext),t=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,type:d},e=gh(a,b,c,d,e,f),hh(a,b,c,e,0!==pg,qg,rg),b.componentStack=t;else if("string"===typeof d){t=b.componentStack;b.componentStack=dh(b,d);f=b.blockedSegment;if(null===f)f=e.children,h=b.formatContext,g=b.keyPath,b.formatContext=kc(h,d,e),b.keyPath=c,ih(a,b,f,-1),b.formatContext=
h,b.keyPath=g;else{g=dd(f.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,f.lastPushedText,b.isFallback);f.lastPushedText=!1;h=b.formatContext;n=b.keyPath;b.formatContext=kc(h,d,e);b.keyPath=c;ih(a,b,g,-1);b.formatContext=h;b.keyPath=n;a:{c=f.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;
case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}c.push(Yc(d))}f.lastPushedText=!1}b.componentStack=t}else{switch(d){case La:case Ja:case la:case ma:case ka:d=b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=d;return;case Ka:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Z(a,b,e.children,-1),b.keyPath=d);return;case Fa:d=b.componentStack;b.componentStack=dh(b,"SuspenseList");t=b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=
t;b.componentStack=d;return;case Ia:throw Error("ReactDOMServer does not yet support scope components.");case Ea:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{ih(a,b,c,-1)}finally{b.keyPath=d}}else{q=b.componentStack;d=b.componentStack=dh(b,"Suspense");m=b.keyPath;t=b.blockedBoundary;u=b.hoistableState;var y=b.blockedSegment;f=e.fallback;var x=e.children;e=new Set;n=bh(a,e);null!==a.trackedPostpones&&(n.trackedContentKeyPath=c);k=Xg(a,y.chunks.length,n,b.formatContext,!1,!1);y.children.push(k);
y.lastPushedText=!1;var w=Xg(a,0,null,b.formatContext,!1,!1);w.parentFlushed=!0;b.blockedBoundary=n;b.hoistableState=n.contentState;b.blockedSegment=w;b.keyPath=c;try{if(ih(a,b,x,-1),w.lastPushedText&&w.textEmbedded&&w.chunks.push(lc),w.status=1,lh(n,w),0===n.pendingTasks&&0===n.status){n.status=1;b.componentStack=q;break a}}catch(R){w.status=4,n.status=4,h=eh(a,b.componentStack),g=Y(a,R,h),n.errorDigest=g,mh(a,n)}finally{b.blockedBoundary=t,b.hoistableState=u,b.blockedSegment=y,b.keyPath=m,b.componentStack=
q}h=[c[0],"Suspense Fallback",c[2]];g=a.trackedPostpones;null!==g&&(q=[h[1],h[2],[],null],g.workingMap.set(h,q),5===n.status?g.workingMap.get(c)[4]=q:n.trackedFallbackNode=q);b=Yg(a,null,f,-1,t,k,n.fallbackState,e,h,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case ua:t=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};e=gh(a,b,c,d.render,e,f);hh(a,b,c,e,0!==pg,qg,rg);b.componentStack=
t;return;case Ga:d=d.type;e=jh(d,e);kh(a,b,c,d,e,f);return;case ra:f=e.children;t=b.keyPath;d=d._context;e=e.value;h=d._currentValue;d._currentValue=e;g=Of;Of=e={parent:g,depth:null===g?0:g.depth+1,context:d,parentValue:h,value:e};b.context=e;b.keyPath=c;Z(a,b,f,-1);a=Of;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue=a.parentValue;a=Of=a.parent;b.context=a;b.keyPath=t;return;case ta:e=e.children;e=e(d._currentValue);d=b.keyPath;
b.keyPath=c;Z(a,b,e,-1);b.keyPath=d;return;case sa:case Ha:t=b.componentStack;b.componentStack=dh(b,"Lazy");f=d._init;d=f(d._payload);e=jh(d,e);kh(a,b,c,d,e,void 0);b.componentStack=t;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function nh(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=Xg(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,ih(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(lh(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Z(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)nh(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case fa:var e=c.type,f=c.key,g=c.props;var h=c.ref;var k=Kf(e),n=null==f?-1===d?0:d:f;f=[b.keyPath,k,n];if(null!==b.replay)a:{var q=b.replay;d=q.nodes;for(c=0;c<d.length;c++){var m=d[c];if(n===m[1]){if(4===m.length){if(null!==k&&k!==m[0])throw Error("Expected the resume to render <"+m[0]+"> in this slot but instead it rendered <"+
k+">. The tree doesn't match so React will fallback to client rendering.");var u=m[2];k=m[3];n=b.node;b.replay={nodes:u,slots:k,pendingTasks:1};try{kh(a,b,f,e,g,h);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(A){if("object"===typeof A&&null!==A&&(A===bg||"function"===typeof A.then))throw b.node===n&&(b.replay=q),A;
b.replay.pendingTasks--;g=eh(a,b.componentStack);f=a;a=b.blockedBoundary;e=A;g=Y(f,e,g);oh(f,a,u,k,e,g)}b.replay=q}else{if(e!==Ea)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(Kf(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{q=void 0;e=m[5];h=m[2];k=m[3];n=null===m[4]?[]:m[4][2];m=null===m[4]?null:m[4][3];var t=b.componentStack,y=b.componentStack=dh(b,"Suspense"),x=b.keyPath,w=b.replay,R=b.blockedBoundary,
V=b.hoistableState,H=g.children;g=g.fallback;var W=new Set,D=bh(a,W);D.parentFlushed=!0;D.rootSegmentID=e;b.blockedBoundary=D;b.hoistableState=D.contentState;b.replay={nodes:h,slots:k,pendingTasks:1};try{ih(a,b,H,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===D.pendingTasks&&0===D.status){D.status=1;a.completedBoundaries.push(D);
break b}}catch(A){D.status=4,u=eh(a,b.componentStack),q=Y(a,A,u),D.errorDigest=q,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(D)}finally{b.blockedBoundary=R,b.hoistableState=V,b.replay=w,b.keyPath=x,b.componentStack=t}b=ch(a,null,{nodes:n,slots:m,pendingTasks:0},g,-1,R,D.fallbackState,W,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,y,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else kh(a,b,f,e,g,h);return;case ia:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ha:g=b.componentStack;b.componentStack=dh(b,"Lazy");f=c._init;c=f(c._payload);b.componentStack=g;Z(a,b,c,d);return}if(Ta(c)){ph(a,b,c,d);return}null===c||"object"!==typeof c?g=null:(g=Sa&&c[Sa]||c["@@iterator"],g="function"===typeof g?g:null);if(g&&(g=g.call(c))){c=g.next();if(!c.done){f=[];do f.push(c.value),c=g.next();while(!c.done);ph(a,b,f,d)}return}if("function"===typeof c.then)return b.thenableState=null,Z(a,b,Ig(c),d);if(c.$$typeof===ta)return Z(a,b,c._currentValue,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof c?(d=b.blockedSegment,null!==d&&(d.lastPushedText=mc(d.chunks,c,a.renderState,d.lastPushedText))):"number"===typeof c&&(d=b.blockedSegment,null!==d&&(d.lastPushedText=mc(d.chunks,""+c,a.renderState,d.lastPushedText)))}}
function ph(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{ph(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(m){if("object"===typeof m&&
null!==m&&(m===bg||"function"===typeof m.then))throw m;b.replay.pendingTasks--;c=eh(a,b.componentStack);var n=b.blockedBoundary,q=m;c=Y(a,q,c);oh(a,n,d,k,q,c)}b.replay=f;g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(d=0;d<g;d++)k=c[d],b.treeContext=Xf(f,g,d),n=h[d],"number"===typeof n?(nh(a,b,n,k,d),delete h[d]):ih(a,b,k,d);b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)d=c[h],b.treeContext=Xf(f,g,h),
ih(a,b,d,h);b.treeContext=f;b.keyPath=e}function mh(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function ih(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,n=b.componentStack,q=b.blockedSegment;if(null===q)try{return Z(a,b,c,d)}catch(t){if(Ag(),c=t===bg?fg():t,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=zg();a=ch(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=n;Uf(g);return}}else{var m=q.children.length,u=q.chunks.length;try{return Z(a,b,c,d)}catch(t){if(Ag(),q.children.length=m,q.chunks.length=u,c=t===bg?fg():t,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=zg();q=b.blockedSegment;m=Xg(a,q.chunks.length,null,b.formatContext,q.lastPushedText,!0);q.children.push(m);q.lastPushedText=!1;a=Yg(a,d,b.node,b.childIndex,b.blockedBoundary,m,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=n;Uf(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;Uf(g);throw c;}function qh(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,rh(this,b,a))}
function oh(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)oh(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,n=f,q=bh(k,new Set);q.parentFlushed=!0;q.rootSegmentID=h;q.status=4;q.errorDigest=n;q.parentFlushed&&k.clientRenderedBoundaries.push(q)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var m in d)delete d[m]}}
function sh(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){Y(b,c,d);fh(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=Y(b,c,d),oh(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&th(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=eh(b,a.componentStack),a=Y(b,c,a),d.errorDigest=a,mh(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return sh(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&uh(b)}
function vh(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),h=g.next();b:for(;0<e.remainingCapacity&&!h.done;h=g.next())for(var k=h.value.sheets.values(),n=k.next();0<e.remainingCapacity&&!n.done;n=k.next()){var q=n.value,m=q.props,u=m.href,t=q.props,y=fd(t.href,"style",{crossOrigin:t.crossOrigin,integrity:t.integrity,
nonce:t.nonce,type:t.type,fetchPriority:t.fetchPriority,referrerPolicy:t.referrerPolicy,media:t.media});if(2<=(e.remainingCapacity-=y.length))c.resets.style[u]=K,f&&(f+=", "),f+=y,c.resets.style[u]="string"===typeof m.crossOrigin||"string"===typeof m.integrity?[m.crossOrigin,m.integrity]:K;else break b}}f?d({Link:f}):d({})}}}catch(x){Y(a,x,{})}}function th(a){null===a.trackedPostpones&&vh(a,!0);a.onShellError=Vg;a=a.onShellReady;a()}
function uh(a){vh(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function lh(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&lh(a,c)}else a.completedSegments.push(b)}
function rh(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&th(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&lh(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(qh,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(lh(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&uh(a)}
function ah(a){if(2!==a.status){var b=Of,c=Sg.current;Sg.current=Mg;var d=Tg.current;Tg.current=Ng;var e=Zg;Zg=a;var f=Lg;Lg=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],n=a,q=k.blockedSegment;if(null===q){var m=n;if(0!==k.replay.pendingTasks){Uf(k.context);try{Z(m,k,k.node,k.childIndex);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);rh(m,k.blockedBoundary,null)}catch(E){Ag();var u=E===bg?fg():E;if("object"===typeof u&&null!==u&&"function"===typeof u.then){var t=k.ping;u.then(t,t);k.thenableState=zg()}else{k.replay.pendingTasks--;k.abortSet.delete(k);var y=eh(m,k.componentStack);n=void 0;var x=m,w=k.blockedBoundary,R=u,V=k.replay.nodes,H=k.replay.slots;n=Y(x,R,y);oh(x,w,V,H,R,n);m.pendingRootTasks--;0===m.pendingRootTasks&&th(m);m.allPendingTasks--;0===m.allPendingTasks&&uh(m)}}finally{}}}else if(m=
void 0,x=q,0===x.status){Uf(k.context);var W=x.children.length,D=x.chunks.length;try{Z(n,k,k.node,k.childIndex),x.lastPushedText&&x.textEmbedded&&x.chunks.push(lc),k.abortSet.delete(k),x.status=1,rh(n,k.blockedBoundary,x)}catch(E){Ag();x.children.length=W;x.chunks.length=D;var A=E===bg?fg():E;if("object"===typeof A&&null!==A&&"function"===typeof A.then){var na=k.ping;A.then(na,na);k.thenableState=zg()}else{var aa=eh(n,k.componentStack);k.abortSet.delete(k);x.status=4;var G=k.blockedBoundary;m=Y(n,
A,aa);null===G?fh(n,A):(G.pendingTasks--,4!==G.status&&(G.status=4,G.errorDigest=m,mh(n,G),G.parentFlushed&&n.clientRenderedBoundaries.push(G)));n.allPendingTasks--;0===n.allPendingTasks&&uh(n)}}finally{}}}g.splice(0,h);null!==a.destination&&wh(a,a.destination)}catch(E){Y(a,E,{}),fh(a,E)}finally{Lg=f,Sg.current=c,Tg.current=d,c===Mg&&Uf(b),Zg=e}}}
function xh(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,r(b,id),r(b,a.placeholderPrefix),a=z(d.toString(16)),r(b,a),v(b,jd);case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var h=0;h<c.length;h++){for(e=c[h];g<e.index;g++)r(b,f[g]);e=yh(a,b,e,d)}for(;g<f.length-1;g++)r(b,f[g]);g<f.length&&(e=v(b,f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function yh(a,b,c,d){var e=c.boundary;if(null===e)return xh(a,b,c,d);e.parentFlushed=!0;if(4===e.status)e=e.errorDigest,v(b,nd),r(b,pd),e&&(r(b,rd),r(b,z(J(e))),r(b,qd)),v(b,sd),xh(a,b,c,d);else if(1!==e.status)0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),td(b,a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(Ff,d),e.stylesheets.forEach(Gf,d)),xh(a,b,c,d);else if(e.byteSize>a.progressiveChunkSize)e.rootSegmentID=a.nextSegmentId++,
a.completedBoundaries.push(e),td(b,a.renderState,e.rootSegmentID),xh(a,b,c,d);else{d&&(c=e.contentState,c.styles.forEach(Ff,d),c.stylesheets.forEach(Gf,d));v(b,kd);c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");yh(a,b,c[0],d)}return v(b,od)}function zh(a,b,c,d){Pd(b,a.renderState,c.parentFormatContext,c.id);yh(a,b,c,d);return re(b,c.parentFormatContext)}
function Ah(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)Bh(a,b,c,d[e]);d.length=0;ef(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(r(b,a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,r(b,Ae)):0===(d.instructions&8)?(d.instructions|=8,r(b,Be)):r(b,Ce):0===(d.instructions&2)?(d.instructions|=2,r(b,ye)):r(b,ze)):f?r(b,Ie):r(b,He);d=z(e.toString(16));
r(b,a.boundaryPrefix);r(b,d);g?r(b,De):r(b,Je);r(b,a.segmentPrefix);r(b,d);f?g?(r(b,Ee),uf(b,c)):(r(b,Ke),wf(b,c)):g&&r(b,Fe);d=g?v(b,Ge):v(b,Ub);return hd(b,a)&&d}
function Bh(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return zh(a,b,d,e)}if(f===c.rootSegmentID)return zh(a,b,d,e);zh(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(r(b,a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,r(b,se)):r(b,te)):r(b,we);r(b,a.segmentPrefix);f=z(f.toString(16));r(b,f);d?r(b,ue):r(b,xe);r(b,
a.placeholderPrefix);r(b,f);b=d?v(b,ve):v(b,Ub);return b}
function wh(a,b){l=new Uint8Array(2048);p=0;try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var n=e.htmlChunks,q=e.headChunks,m;if(n){for(m=0;m<n.length;m++)r(b,n[m]);if(q)for(m=0;m<q.length;m++)r(b,q[m]);else r(b,
U("head")),r(b,T)}else if(q)for(m=0;m<q.length;m++)r(b,q[m]);var u=e.charsetChunks;for(m=0;m<u.length;m++)r(b,u[m]);u.length=0;e.preconnects.forEach(ff,b);e.preconnects.clear();var t=e.viewportChunks;for(m=0;m<t.length;m++)r(b,t[m]);t.length=0;e.fontPreloads.forEach(ff,b);e.fontPreloads.clear();e.highImagePreloads.forEach(ff,b);e.highImagePreloads.clear();e.styles.forEach(nf,b);var y=e.importMapChunks;for(m=0;m<y.length;m++)r(b,y[m]);y.length=0;e.bootstrapScripts.forEach(ff,b);e.scripts.forEach(ff,
b);e.scripts.clear();e.bulkPreloads.forEach(ff,b);e.bulkPreloads.clear();var x=e.hoistableChunks;for(m=0;m<x.length;m++)r(b,x[m]);x.length=0;n&&null===q&&r(b,Yc("head"));yh(a,b,d,null);a.completedRootSegment=null;hd(b,a.renderState)}else return;var w=a.renderState;d=0;var R=w.viewportChunks;for(d=0;d<R.length;d++)r(b,R[d]);R.length=0;w.preconnects.forEach(ff,b);w.preconnects.clear();w.fontPreloads.forEach(ff,b);w.fontPreloads.clear();w.highImagePreloads.forEach(ff,b);w.highImagePreloads.clear();w.styles.forEach(pf,
b);w.scripts.forEach(ff,b);w.scripts.clear();w.bulkPreloads.forEach(ff,b);w.bulkPreloads.clear();var V=w.hoistableChunks;for(d=0;d<V.length;d++)r(b,V[d]);V.length=0;var H=a.clientRenderedBoundaries;for(c=0;c<H.length;c++){var W=H[c];w=b;var D=a.resumableState,A=a.renderState,na=W.rootSegmentID,aa=W.errorDigest,G=0===D.streamingFormat;G?(r(w,A.startInlineScript),0===(D.instructions&4)?(D.instructions|=4,r(w,Le)):r(w,Me)):r(w,Qe);r(w,A.boundaryPrefix);r(w,z(na.toString(16)));G&&r(w,Ne);aa&&(G?(r(w,
Oe),r(w,z(Te(aa||"")))):(r(w,Re),r(w,z(J(aa||"")))));var E=G?v(w,Pe):v(w,Ub);if(!E){a.destination=null;c++;H.splice(0,c);return}}H.splice(0,c);var va=a.completedBoundaries;for(c=0;c<va.length;c++)if(!Ah(a,b,va[c])){a.destination=null;c++;va.splice(0,c);return}va.splice(0,c);Va(b);l=new Uint8Array(2048);p=0;var wa=a.partialBoundaries;for(c=0;c<wa.length;c++){var Ma=wa[c];a:{H=a;W=b;var xa=Ma.completedSegments;for(E=0;E<xa.length;E++)if(!Bh(H,W,Ma,xa[E])){E++;xa.splice(0,E);var $a=!1;break a}xa.splice(0,
E);$a=ef(W,Ma.contentState,H.renderState)}if(!$a){a.destination=null;c++;wa.splice(0,c);return}}wa.splice(0,c);var oa=a.completedBoundaries;for(c=0;c<oa.length;c++)if(!Ah(a,b,oa[c])){a.destination=null;c++;oa.splice(0,c);return}oa.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length?(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&r(b,Yc("body")),c.hasHtml&&r(b,Yc("html")),Va(b),b.close(),a.destination=null):
Va(b)}}function Ch(a){a.flushScheduled=null!==a.destination;Hf?setTimeout(function(){return If.run(a,ah,a)},0):setTimeout(function(){return ah(a)},0);null===a.trackedPostpones&&(Hf?setTimeout(function(){return If.run(a,Dh,a)},0):setTimeout(function(){return Dh(a)},0))}function Dh(a){vh(a,0===a.pendingRootTasks)}function Cf(a){!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination&&(a.flushScheduled=!0,setTimeout(function(){var b=a.destination;b?wh(a,b):a.flushScheduled=!1},0))}
function Eh(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return sh(e,a,d)});c.clear()}null!==a.destination&&wh(a,a.destination)}catch(e){Y(a,e,{}),fh(a,e)}}
exports.renderToReadableStream=function(a,b){return new Promise(function(c,d){var e,f,g=new Promise(function(t,y){f=t;e=y}),h=b?b.onHeaders:void 0,k;h&&(k=function(t){h(new Headers(t))});var n=ic(b?b.identifierPrefix:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.bootstrapScriptContent:void 0,b?b.bootstrapScripts:void 0,b?b.bootstrapModules:void 0),q=Wg(a,n,gc(n,b?b.nonce:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.importMap:void 0,k,b?b.maxHeadersLength:void 0),jc(b?b.namespaceURI:void 0),
b?b.progressiveChunkSize:void 0,b?b.onError:void 0,f,function(){var t=new ReadableStream({type:"bytes",pull:function(y){if(1===q.status)q.status=2,Xa(y,q.fatalError);else if(2!==q.status&&null===q.destination){q.destination=y;try{wh(q,y)}catch(x){Y(q,x,{}),fh(q,x)}}},cancel:function(y){q.destination=null;Eh(q,y)}},{highWaterMark:0});t.allReady=g;c(t)},function(t){g.catch(function(){});d(t)},e,b?b.onPostpone:void 0,b?b.formState:void 0);if(b&&b.signal){var m=b.signal;if(m.aborted)Eh(q,m.reason);else{var u=
function(){Eh(q,m.reason);m.removeEventListener("abort",u)};m.addEventListener("abort",u)}}Ch(q)})};exports.version="19.0.0-canary-48ec17b86-20240402";

//# sourceMappingURL=react-dom-server.edge.production.min.js.map
